# -*- encoding: utf-8 -*-
# stub: origami 2.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "origami"
  s.version = "2.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Guillaume Delugr\u{e9}"]
  s.date = "2016-10-28"
  s.description = "Origami is a pure Ruby library to parse, modify and generate PDF documents."
  s.email = "gdelugre@security-labs.org"
  s.executables = ["pdf2pdfa", "pdf2ruby", "pdfcop", "pdfdecompress", "pdfdecrypt", "pdfencrypt", "pdfexplode", "pdfextract", "pdfmetadata", "pdfsh", "pdfwalker"]
  s.files = ["CHANGELOG.md", "COPYING.LESSER", "README.md", "bin/config/pdfcop.conf.yml", "bin/gui/COPYING", "bin/gui/about.rb", "bin/gui/config.rb", "bin/gui/file.rb", "bin/gui/gtkhex.rb", "bin/gui/hexview.rb", "bin/gui/imgview.rb", "bin/gui/menu.rb", "bin/gui/properties.rb", "bin/gui/signing.rb", "bin/gui/textview.rb", "bin/gui/treeview.rb", "bin/gui/walker.rb", "bin/gui/xrefs.rb", "bin/pdf2pdfa", "bin/pdf2ruby", "bin/pdfcop", "bin/pdfdecompress", "bin/pdfdecrypt", "bin/pdfencrypt", "bin/pdfexplode", "bin/pdfextract", "bin/pdfmetadata", "bin/pdfsh", "bin/pdfwalker", "bin/shell/.irbrc", "bin/shell/console.rb", "bin/shell/hexdump.rb", "examples/README.md", "examples/attachments/attachment.rb", "examples/attachments/nested_document.rb", "examples/encryption/encryption.rb", "examples/events/events.rb", "examples/flash/flash.rb", "examples/flash/helloworld.swf", "examples/forms/javascript.rb", "examples/forms/xfa.rb", "examples/javascript/hello_world.rb", "examples/javascript/js_emulation.rb", "examples/loop/goto.rb", "examples/loop/named.rb", "examples/signature/signature.rb", "examples/uri/javascript.rb", "examples/uri/open-uri.rb", "examples/uri/submitform.rb", "lib/origami.rb", "lib/origami/3d.rb", "lib/origami/acroform.rb", "lib/origami/actions.rb", "lib/origami/annotations.rb", "lib/origami/array.rb", "lib/origami/boolean.rb", "lib/origami/catalog.rb", "lib/origami/collections.rb", "lib/origami/destinations.rb", "lib/origami/dictionary.rb", "lib/origami/encryption.rb", "lib/origami/export.rb", "lib/origami/extensions/fdf.rb", "lib/origami/extensions/ppklite.rb", "lib/origami/filespec.rb", "lib/origami/filters.rb", "lib/origami/filters/ascii.rb", "lib/origami/filters/ccitt.rb", "lib/origami/filters/crypt.rb", "lib/origami/filters/dct.rb", "lib/origami/filters/flate.rb", "lib/origami/filters/jbig2.rb", "lib/origami/filters/jpx.rb", "lib/origami/filters/lzw.rb", "lib/origami/filters/predictors.rb", "lib/origami/filters/runlength.rb", "lib/origami/font.rb", "lib/origami/functions.rb", "lib/origami/graphics.rb", "lib/origami/graphics/colors.rb", "lib/origami/graphics/instruction.rb", "lib/origami/graphics/path.rb", "lib/origami/graphics/patterns.rb", "lib/origami/graphics/render.rb", "lib/origami/graphics/state.rb", "lib/origami/graphics/text.rb", "lib/origami/graphics/xobject.rb", "lib/origami/header.rb", "lib/origami/javascript.rb", "lib/origami/linearization.rb", "lib/origami/metadata.rb", "lib/origami/name.rb", "lib/origami/null.rb", "lib/origami/numeric.rb", "lib/origami/obfuscation.rb", "lib/origami/object.rb", "lib/origami/outline.rb", "lib/origami/outputintents.rb", "lib/origami/page.rb", "lib/origami/parser.rb", "lib/origami/parsers/fdf.rb", "lib/origami/parsers/pdf.rb", "lib/origami/parsers/pdf/lazy.rb", "lib/origami/parsers/pdf/linear.rb", "lib/origami/parsers/ppklite.rb", "lib/origami/pdf.rb", "lib/origami/reference.rb", "lib/origami/signature.rb", "lib/origami/stream.rb", "lib/origami/string.rb", "lib/origami/template/patterns.rb", "lib/origami/template/widgets.rb", "lib/origami/trailer.rb", "lib/origami/tree.rb", "lib/origami/version.rb", "lib/origami/webcapture.rb", "lib/origami/xfa.rb", "lib/origami/xreftable.rb", "test/dataset/calc.pdf", "test/dataset/crypto.pdf", "test/dataset/empty.pdf", "test/test_actions.rb", "test/test_annotations.rb", "test/test_pages.rb", "test/test_pdf.rb", "test/test_pdf_attachment.rb", "test/test_pdf_create.rb", "test/test_pdf_encrypt.rb", "test/test_pdf_parse.rb", "test/test_pdf_sign.rb", "test/test_streams.rb", "test/test_xrefs.rb"]
  s.homepage = "http://github.com/gdelugre/origami"
  s.licenses = ["LGPL-3.0+"]
  s.required_ruby_version = Gem::Requirement.new(">= 2.1")
  s.requirements = ["gtk2 to run the graphical interface"]
  s.rubygems_version = "2.5.1"
  s.summary = "Ruby framework to manipulate PDF documents"
  s.test_files = ["test/test_pdf.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<colorize>, ["~> 0.7"])
      s.add_development_dependency(%q<minitest>, ["~> 5.0"])
    else
      s.add_dependency(%q<colorize>, ["~> 0.7"])
      s.add_dependency(%q<minitest>, ["~> 5.0"])
    end
  else
    s.add_dependency(%q<colorize>, ["~> 0.7"])
    s.add_dependency(%q<minitest>, ["~> 5.0"])
  end
end
